CreateDataVolumeTemplateFromVolume
CreateDataVolumeTemplateFromVolume
POST
/zstack/v1/images/data-volume-templates/from/volumes/{volumeUuid}Operation ID
CreateDataVolumeTemplateFromVolumeSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
volumeUuidStringRequiredPath parameter.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the data volume image.
descriptionStringOptional. The detailed description of the data volume image.
volumeUuidStringRequiredThe UUID of the volume from which the data volume image is to be created.
backupStorageUuidsListOptional. The backup storage UUID list.
resourceUuidStringOptional. The UUID of the data volume image. If specified, the data volume image will use the specified value as UUID.
tagUuidsListOptional. The tag UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
